com.fasterxml.jackson.databind.deser

## Class UnresolvedForwardReference

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.databind.DatabindException
            - - com.fasterxml.jackson.databind.JsonMappingException
              - - com.fasterxml.jackson.databind.deser.UnresolvedForwardReference

All Implemented Interfaces:
  Serializable

    public class UnresolvedForwardReference
    extends JsonMappingException

Exception thrown during deserialization when there are object id that can't be resolved.

Author:
  pgelinas
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

`JsonMappingException.Reference`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_path, _processor`

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
Constructor and Description
`UnresolvedForwardReference(JsonParser p, String msg)`
`UnresolvedForwardReference(JsonParser p, String msg, JsonLocation loc, ReadableObjectId roid)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUnresolvedId(Object id, Class<?> type, JsonLocation where)`
`UnresolvedForwardReference` `fillInStackTrace()` This method is overridden to prevent filling of the stack trace when constructors are called (unfortunately alternative constructors can not be used due to historical reasons).
`String` `getMessage()` Method is overridden so that we can properly inject description of problem path, if such is defined.
`ReadableObjectId` `getRoid()`
`Object` `getUnresolvedId()`
`List<UnresolvedId>` `getUnresolvedIds()`
`UnresolvedForwardReference` `withStackTrace()` "Mutant" factory method for filling in stack trace; needed since the default constructors will not fill in stack trace.

### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, withCause, wrapWithPath, wrapWithPath, wrapWithPath`

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnresolvedForwardReference

    public UnresolvedForwardReference(JsonParser p,
                                      String msg,
                                      JsonLocation loc,
                                      ReadableObjectId roid)

Since:
  2.7

#### UnresolvedForwardReference

    public UnresolvedForwardReference(JsonParser p,
                                      String msg)

Since:
  2.7

### Method Detail

#### getRoid

    public ReadableObjectId getRoid()

#### getUnresolvedId

    public Object getUnresolvedId()

#### addUnresolvedId

    public void addUnresolvedId(Object id,
                                Class<?> type,
                                JsonLocation where)

#### getUnresolvedIds

    public List<UnresolvedId> getUnresolvedIds()

#### getMessage

    public String getMessage()

Description copied from class: `JsonMappingException`
Method is overridden so that we can properly inject description of problem path, if such is defined.

Overrides:
  `getMessage` in class `JsonMappingException`

#### fillInStackTrace

    public UnresolvedForwardReference fillInStackTrace()

This method is overridden to prevent filling of the stack trace when constructors are called (unfortunately alternative constructors can not be used due to historical reasons). To explicitly fill in stack traces method `withStackTrace()` needs to be called after construction.

Overrides:
  `fillInStackTrace` in class `Throwable`
Since:
  2.14

#### withStackTrace

    public UnresolvedForwardReference withStackTrace()

"Mutant" factory method for filling in stack trace; needed since the default constructors will not fill in stack trace.

Since:
  2.14